Update subtask by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/subtasks/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/subtasks/{id}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/subtasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Subtasks
Update subtask by ID
Update a subtask
PUT
/
subtasks
/
{id}
Update subtask by ID
curl --request PUT \
--url https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/subtasks/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/subtasks/{id}"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage/subtasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": false,
"response": {}
}{
"error": true,
"errors": [
"error message",
"error message"
]
}{
"message": "Unauthorized"
}{
"message": "Request URL or object not found"
}{
"message": "Internal Server Error"
}Body raw (json)
{
"title": "some string",// optional | string | max:1000
"status": 1,// optional | integer | acceptable_values: 1,2,3,4,5
"due_date": 1234567890,// optional | timestamp
"customer_id": 1,// optional | integer | existing customer id
"job_id": 1,// optional | integer | existing job id
"project_id": 1,// optional | integer | existing project id
"recurring_job_id": 1,// optional | integer | existing recurring job id
"description": "some string",// optional | string | max:5000
"is_template": false,// optional | boolean
"is_required_for_job": false,// optional | boolean
"assignments": [// optional | array
{
"team_id": 1,// required | integer | existing team id
"user_id": 1// required | integer | existing user id
},
{
"team_id": 1,// required | integer | existing team id
"user_id": 2// required | integer | existing user id
}
]
}
Authorizations
Path Parameters
Body
application/json
Maximum string length:
1000Available options:
1, 2, 3, 4, 5 Unix timestamp.
Existing customer id.
Existing job id.
Existing project id.
Existing recurring job id.
Maximum string length:
5000